---
en-GB:
  activerecord:
    attributes:
      doorkeeper/application:
        name: Application name
        redirect_uri: Redirect URI
        scopes: Scopes
        website: Application website
    errors:
      models:
        doorkeeper/application:
          attributes:
            redirect_uri:
              fragment_present: cannot contain a fragment.
              invalid_uri: must be a valid URI.
              relative_uri: must be an absolute URI.
              secured_uri: must be an HTTPS/SSL URI.
  doorkeeper:
    applications:
      buttons:
        authorize: Authorise
        cancel: Cancel
        destroy: Destroy
        edit: Edit
        submit: Submit
      confirmations:
        destroy: Are you sure?
      edit:
        title: Edit application
      form:
        error: Whoops! Check your form for possible errors
      help:
        native_redirect_uri: Use %{native_redirect_uri} for local tests
        redirect_uri: Use one line per URI
        scopes: Separate scopes with spaces. Leave blank to use the default scopes.
      index:
        application: Application
        callback_url: Callback URL
        delete: Delete
        empty: You have no applications.
        name: Name
        new: New application
        scopes: Scopes
        show: Show
        title: Your applications
      new:
        title: New application
      show:
        actions: Actions
        application_id: Client key
        callback_urls: Callback URLs
        scopes: Scopes
        secret: Client secret
        title: 'Application: %{name}'
    authorizations:
      buttons:
        authorize: Authorise
        deny: Deny
      error:
        title: An error has occurred
      new:
        prompt_html: "%{client_name} would like permission to access your account. <strong>Only approve this request if you recognise and trust this source.</strong>"
        review_permissions: Review permissions
        title: Authorisation required
      show:
        title: Copy this authorisation code and paste it to the application.
    authorized_applications:
      buttons:
        revoke: Revoke
      confirmations:
        revoke: Are you sure?
      index:
        authorized_at: Authorised on %{date}
        description_html: These are applications that can access your account using the API. If there are applications you do not recognise here, or an application is misbehaving, you can revoke its access.
        last_used_at: Last used on %{date}
        never_used: Never used
        scopes: Permissions
        superapp: Internal
        title: Your authorised applications
    errors:
      messages:
        access_denied: The resource owner or authorisation server denied the request.
        credential_flow_not_configured: Resource Owner Password Credentials flow failed due to Doorkeeper.configure.resource_owner_from_credentials being unconfigured.
        invalid_client: Client authentication failed due to unknown client, no client authentication included, or unsupported authentication method.
        invalid_code_challenge_method: The code challenge method must be S256, plain is unsupported.
        invalid_grant: The provided authorisation grant is invalid, expired, revoked, does not match the redirection URI used in the authorisation request, or was issued to another client.
        invalid_redirect_uri: The redirect URI included is not valid.
        invalid_request:
          missing_param: 'Missing required parameter: %{value}.'
          request_not_authorized: Request need to be authorised. Required parameter for authorising request is missing or invalid.
          unknown: The request is missing a required parameter, includes an unsupported parameter value, or is otherwise malformed.
        invalid_resource_owner: The provided resource owner credentials are not valid, or resource owner cannot be found
        invalid_scope: The requested scope is invalid, unknown, or malformed.
        invalid_token:
          expired: The access token expired
          revoked: The access token was revoked
          unknown: The access token is invalid
        resource_owner_authenticator_not_configured: Resource Owner find failed due to Doorkeeper.configure.resource_owner_authenticator being unconfiged.
        server_error: The authorisation server encountered an unexpected condition which prevented it from fulfilling the request.
        temporarily_unavailable: The authorisation server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
        unauthorized_client: The client is not authorised to perform this request using this method.
        unsupported_grant_type: The authorisation grant type is not supported by the authorisation server.
        unsupported_response_type: The authorisation server does not support this response type.
    flash:
      applications:
        create:
          notice: Application created.
        destroy:
          notice: Application deleted.
        update:
          notice: Application updated.
      authorized_applications:
        destroy:
          notice: Application revoked.
    grouped_scopes:
      access:
        read: Read-only access
        read/write: Read and write access
        write: Write-only access
      title:
        accounts: Accounts
        admin/accounts: Administration of accounts
        admin/all: All administrative functions
        admin/reports: Administration of reports
        all: Full access to your Mastodon account
        blocks: Blocks
        bookmarks: Bookmarks
        conversations: Conversations
        crypto: End-to-end encryption
        favourites: Favourites
        filters: Filters
        follow: Follows, Mutes and Blocks
        follows: Follows
        lists: Lists
        media: Media attachments
        mutes: Mutes
        notifications: Notifications
        profile: Your Mastodon profile
        push: Push notifications
        reports: Reports
        search: Search
        statuses: Posts
    layouts:
      admin:
        nav:
          applications: Applications
          oauth2_provider: OAuth2 Provider
      application:
        title: OAuth authorisation required
    scopes:
      admin:read: read all data on the server
      admin:read:accounts: read sensitive information of all accounts
      admin:read:canonical_email_blocks: read sensitive information of all canonical email blocks
      admin:read:domain_allows: read sensitive information of all domain allows
      admin:read:domain_blocks: read sensitive information of all domain blocks
      admin:read:email_domain_blocks: read sensitive information of all email domain blocks
      admin:read:ip_blocks: read sensitive information of all IP blocks
      admin:read:reports: read sensitive information of all reports and reported accounts
      admin:write: modify all data on the server
      admin:write:accounts: perform moderation actions on accounts
      admin:write:canonical_email_blocks: perform moderation actions on canonical email blocks
      admin:write:domain_allows: perform moderation actions on domain allows
      admin:write:domain_blocks: perform moderation actions on domain blocks
      admin:write:email_domain_blocks: perform moderation actions on email domain blocks
      admin:write:ip_blocks: perform moderation actions on IP blocks
      admin:write:reports: perform moderation actions on reports
      crypto: use end-to-end encryption
      follow: modify account relationships
      profile: read only your account's profile information
      push: receive your push notifications
      read: read all your account's data
      read:accounts: see accounts information
      read:blocks: see your blocks
      read:bookmarks: see your bookmarks
      read:favourites: see your favourites
      read:filters: see your filters
      read:follows: see your follows
      read:lists: see your lists
      read:mutes: see your mutes
      read:notifications: see your notifications
      read:reports: see your reports
      read:search: search on your behalf
      read:statuses: see all posts
      write: modify all your account's data
      write:accounts: modify your profile
      write:blocks: block accounts and domains
      write:bookmarks: bookmark posts
      write:conversations: mute and delete conversations
      write:favourites: favourite posts
      write:filters: create filters
      write:follows: follow people
      write:lists: create lists
      write:media: upload media files
      write:mutes: mute people and conversations
      write:notifications: clear your notifications
      write:reports: report other people
      write:statuses: publish posts
